using System;
using System.IO;

namespace Ordner_Existenz
{
   class Program
   {
      [STAThread]
      static void Main(string[] args)
      {
         Console.Title = "Test zda daný adresář existuje";

         // Pomocí statické metody Exists třídy Directory
         // otesujeme, zda existuje adresář c:\Temp 
         string folderName = "c:\\temp";
         if (Directory.Exists(folderName))
         {
            Console.WriteLine(folderName + " existuje");
         }
         else
         {
            Console.WriteLine(folderName + " neexistuje");
         }
         // Pomocí vlastnosti Existsinstance třídy DirectoryInfo
         // otesujeme, zda existuje adresář c:\Temp 
         folderName = "c:\\temp";
         DirectoryInfo di = new DirectoryInfo(folderName);
         if (di.Exists)
         {
            Console.WriteLine(folderName + " existuje");
         }
         else
         {
            Console.WriteLine(folderName + " neexistuje");
         }

         Console.WriteLine();
         Console.WriteLine("Stiskni Enter");
         Console.ReadLine();
      }
   }
}
